# _SslCtrlSetMinProtoVersion
<span class="source-link">[[Source]](src/net-ssl/_ssl_versions.md#L1)</span>
```pony
primitive val _SslCtrlSetMinProtoVersion
```

## Constructors

### create
<span class="source-link">[[Source]](src/net-ssl/_ssl_versions.md#L1)</span>


```pony
new val create()
: _SslCtrlSetMinProtoVersion val^
```

#### Returns

* [_SslCtrlSetMinProtoVersion](net-ssl-_SslCtrlSetMinProtoVersion.md) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/net-ssl/_ssl_versions.md#L1)</span>


```pony
fun val apply()
: I32 val
```

#### Returns

* [I32](builtin-I32.md) val

---

### eq
<span class="source-link">[[Source]](src/net-ssl/_ssl_versions.md#L1)</span>


```pony
fun box eq(
  that: _SslCtrlSetMinProtoVersion val)
: Bool val
```
#### Parameters

*   that: [_SslCtrlSetMinProtoVersion](net-ssl-_SslCtrlSetMinProtoVersion.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/net-ssl/_ssl_versions.md#L1)</span>


```pony
fun box ne(
  that: _SslCtrlSetMinProtoVersion val)
: Bool val
```
#### Parameters

*   that: [_SslCtrlSetMinProtoVersion](net-ssl-_SslCtrlSetMinProtoVersion.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

